from flask_wtf import FlaskForm
from wtforms import StringField, PasswordField, BooleanField, SubmitField
from wtforms.validators import InputRequired


class LoginForm(FlaskForm):
    username = StringField(
        'Identifiant',
        validators=[
            InputRequired(),
        ],
    )
    password = PasswordField(
        'Mot de passe',
        validators=[
            InputRequired(),
        ],
    )
    remember_me = BooleanField(
        'Se souvenir de moi',
    )
    submit = SubmitField(
        'Connexion',
    )
